Skip to main content
GET
/
challenges
/
stats
/
overview
Challenge stats overview
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/analytics/challenges/stats/overview
{
  "summary": {
    "totalParticipants": 123,
    "totalCompletions": 123,
    "completionRate": 123,
    "averageTimeToCompleteHours": 123,
    "startedNotCompleted": 123
  },
  "actionsBreakdown": [
    {
      "actionId": "<string>",
      "totalCompletions": 123,
      "completionRate": 123,
      "actionTitle": "<string>"
    }
  ],
  "participantsByDay": [
    {
      "date": "<string>",
      "count": 123
    }
  ],
  "timeseries": [
    {
      "date": "<string>",
      "started": 123,
      "completed": 123,
      "uniqueUsers": 123
    }
  ],
  "funnel": [
    {
      "step": "<string>",
      "users": 123,
      "conversionFromStart": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

challengeId
string
required
communityId
string
startDate
string
endDate
string

Response

Successful response

summary
object
required
actionsBreakdown
object[]
required
participantsByDay
object[]
required
timeseries
object[]
required
funnel
object[]
required